VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "MyCircle"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

' Represents a circle.
Public X As Single
Public Y As Single
Public Radius As Single

' Initialize the circle.
Public Sub Initialize(new_X As Single, new_Y As Single, new_Radius As Single)
    X = new_X
    Y = new_Y
    Radius = Abs(new_Radius)
End Sub

' Draw the circle.
Public Sub Draw(ByVal obj As Object, ByVal clr As OLE_COLOR)
    If (Radius > 0) Then
        obj.FillColor = clr
        obj.Circle (X, Y), Radius, clr
    End If
End Sub

' Return a textual representation of the circle.
Public Function ToString() As String
    ToString = "(" & Format$(X) & ", " & Format$(Y) & "), " & Format$(Radius)
End Function
